Skip to content
GET /unified/ats/interviews

Query Parameters

Refer Specifying query parameters in Truto APIs

application_idstring

The ID of the application to filter the interviews by.

2 supported
Ashby
supported
Greenhouse
supported
created_atstring · date-time

The date and time of the interview's creation

4 supported
Ashby
supported
Ceipal
supported
Greenhouse
supported
Pinpoint
supported
job_interview_stage_idstring

The ID of the job interview stage to filter the interviews by.

1 supported
Ashby
supported
candidate_idstring

The ID of the application to filter the interviews by.

1 supported1 required
Fountain
required
updated
1 supported
Greenhouse
supported
start_atstring · date-time

The interview's start date

3 supported
Ashby
supported
Greenhouse
supported
Pinpoint
supported
end_atstring · date-time

The interview's end date

4 supported
Ashby
supported
Fountain
supported
Greenhouse
supported
Pinpoint
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Interviews

idstring
required·

The interview's unique identifier

5 supported
Ashby
supported
Ceipal
supported
Fountain
supported
Greenhouse
supported
Pinpoint
supported
applicationobject

The interview's application

4 supported
Ashby
supported
Ceipal
supported
Greenhouse
supported
Pinpoint
supported
1 property
idstring

Unique identifier of the application

candidateobject

The interview's candidate

2 supported
Ceipal
supported
Fountain
supported
1 property
idstring

Unique identifier of the candidate

created_atstring · date-time

The date and time of the interview's creation

4 supported
Ashby
supported
Ceipal
supported
Greenhouse
supported
Pinpoint
supported
end_atstring · date-time

The interview's end date

4 supported
Ashby
supported
Fountain
supported
Greenhouse
supported
Pinpoint
supported
interviewersobject[]

The interview's interviewers

4 supported
Ashby
supported
Ceipal
supported
Fountain
supported
Greenhouse
supported
1 property
idstring

Unique identifier of the user

job_interview_stageobject

The interview's job interview stage

4 supported
Ashby
supported
Ceipal
supported
Fountain
supported
Pinpoint
supported
1 property
idstring

Unique identifier of the job_interview_stage

locationstring

The interview's location

4 supported
Ashby
supported
Ceipal
supported
Fountain
supported
Greenhouse
supported
organizerobject

The interview's organizer

2 supported
Ceipal
supported
Greenhouse
supported
1 property
idstring

Unique identifier of the user

remote_dataRecord<string, any>

Raw data returned from the remote API call.

start_atstring · date-time

The interview's start date

3 supported
Ashby
supported
Greenhouse
supported
Pinpoint
supported
statusstring

The interview's status

Possible values:
draftscheduledcancelledawaiting_feedbackcompleted
4 supported
Ashby
supported
Fountain
supported
Greenhouse
supported
Pinpoint
supported
updated_atstring · date-time

The date and time of the interview's last update

3 supported
Ceipal
supported
Greenhouse
supported
Pinpoint
supported
curl -X GET 'https://api.truto.one/unified/ats/interviews?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ats/interviews?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ats/interviews"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ats',
  'interviews',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ats",
        "interviews",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())